Bug 124594 - FILEOPEN DOCX Additional top and bottom margin on shape breaks layout
Summary: FILEOPEN DOCX Additional top and bottom margin on shape breaks layout
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2019-04-07 23:47 UTC by Regina Henschel
Modified: 2019-05-10 10:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Document with shape and screenshot (61.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-04-07 23:47 UTC, Regina Henschel
Details
How this looked like in the past. (128.77 KB, image/png)
2019-04-30 08:12 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-04-07 23:47:39 UTC
Created attachment 150590 [details]
Document with shape and screenshot

Open attached document. It has in the upper part an arrow shape with text wrap "square", which is "parallel" in LO. The distance to text is set to 0 on all four sides in Word.

The lower part has a screenshot that shows, how it look in Word. Notice the text line above the shape in the original. This line is missing in LO because the shape has got a margin-top and margin-bottom of about 6mm although it was set to 0 in Word.
Comment 1 mulla.tasanim 2019-04-08 22:55:18 UTC
Thank you for reporting the bug.

I can confirm that the bug is present in


Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Buovjaga 2019-04-23 19:29:43 UTC
Bibisected with win32-5.0 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/a5a836d8c43dc9cebbbf8af39bf0142de603a7c6^!/
DOCX filter: effect extent should be part of the margin

Adding Cc: to Miklos Vajna

Same blame for bug 103982
Comment 3 Miklos Vajna 2019-04-30 08:12:47 UTC
Created attachment 151083 [details]
How this looked like in the past.

Just to set the right expectations, I attach how this used to look like. The good part is that there used to be a single line of text above and below the shape; the bad part is Word has 2 full-width lines below the shape and Writer has only one (i.e. that part is not a regression and has to be a topic for a separate bug).
Comment 4 Commit Notification 2019-05-07 07:48:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/65420c21194a28aeead0238838028b734b663d87%5E%21

tdf#124594 DOCX filter: don't extend margins from effects for rotated shapes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-05-08 11:06:26 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 299e34275574d4fa0d9b175231f5cfdbb49c4f4c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos Vajna, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-05-10 10:48:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/da5f9c68a253f28e9c0149e61b5662191a658af2%5E%21

tdf#124594 DOCX filter: don't extend margins from effects for rotated shapes

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.